import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional()
}).strict();
export const PatientConversationAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PatientConversationAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientConversationAvgOrderByAggregateInput>;
export const PatientConversationAvgOrderByAggregateInputObjectZodSchema = makeSchema();
